Bug 45154 - (IDE BP6)Hangs during boot process at first IDE geometry check
(IDE BP6)Hangs during boot process at first IDE geometry check
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 12:06 EDT by sparks
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sparks 2001-06-20 12:06:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (Win98; U)

Description of problem:
Trying to upgrade a RH6.1 installation to 7.1

The installation process successfully finds and identifies all the IDE hardware including the HighPoint366 IDE controller.

Then it hangs at the first IDE drive (hda) when it tries to verify its geometry.  The line it hangs on reports the LBA geometry not the 
actual geometry.  This drive is not on the HPT366.

Here's what the hang line looks like exactly:
hda: 20066251 sectors (10274 MB) w/1900KiB Cache, CHS=1249/255/63, UDMA(33)
<- [the blinking prompt ends up here]
or alternatively, when the true CHS parameters are passed either at the boot prompt or from BIOS:
hda: 20066251 sectors (10274 MB) w/1900KiB Cache, CHS=19906/16/63, UDMA(33)
<- [the blinking prompt ends up here]

Here are the things I've done to remedy this:
type in hda=19906,16,63 at the installer "boot:" prompt.
type in hda=1247,255,63 at the installer "boot:" prompt.
fiddle with my BIOS so that it reports the correct geometry without boot prompt instructions.
fiddle with my BIOS to declock the processors.  (They are Celeron 366/66 overclocked to 550/100.)
utter various spells and incantations.
offer fruits and vegetables to the gods.
ENTER gets no response.
CTRL-ALT-DEL gets no response.


How reproducible:
Always

Steps to Reproduce:
1. type in "lowres" at boot prompt. 
2. wait for the hang.
3.
	

Actual Results:  It hung after the device inventory at the geometry check for the first IDE drive.

hda: 20066251 sectors (10274 MB) w/1900KiB Cache, CHS=1249/255/63, UDMA(33)
<- [the blinking prompt ends up here]

Expected Results:  It should have booted, the sun should have shined and all should have been right with the world.

Additional info:

Motherboard:  Abit BP6
BIOS:            NJ
Processors:    2X Celeron 366's OC'd to 550
Drives:
         hda= Quantum Fireball Plus LM 10.2GB (on a UDMA33 controller)
         hdc= Toshiba CDROM
         hdd= Iomega Zip 100
         hde= Quantum Fireball Plus LM 20.1GB (on HPT366)
         hdg= Quantum Fireball Plus LM 20.1GB (on HPT366)
Comment 1 Doug Ledford 2001-08-23 19:55:31 EDT
LILO has long since finished its job by the time you have gotten here.  This is
a kernel hang.  Reassigning.
Comment 2 Bugzilla owner 2004-09-30 11:39:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.